Ticket #43713

gcc-12: basic_city_style_for_style() compiler warning

Open Date: 2022-01-27 20:33 Last Update: 2022-01-30 21:15

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

gcc-12 development version gives a warning about style_style possibly getting used uninitialized in basic_city_style_for_style()

Ticket History (3/4 Histories)

2022-01-27 20:33 Updated by: cazfi
  • New Ticket "gcc-12: basic_city_style_for_style() compiler warning" created
2022-01-28 02:43 Updated by: cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 3.0.0 (closed)
Comment

Will push to S2_6 too.

2022-01-30 21:15 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login